part of forestvpn_auth_api.api;

class SignInResponse {
  
  String sessionId = null;
  SignInResponse();

  @override
  String toString() {
    return 'SignInResponse[sessionId=$sessionId, ]';
  }

  SignInResponse.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    sessionId = json['session_id'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (sessionId != null)
      json['session_id'] = sessionId;
    return json;
  }

  static List<SignInResponse> listFromJson(List<dynamic> json) {
    return json == null ? List<SignInResponse>() : json.map((value) => SignInResponse.fromJson(value)).toList();
  }

  static Map<String, SignInResponse> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, SignInResponse>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = SignInResponse.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of SignInResponse-objects as value to a dart map
  static Map<String, List<SignInResponse>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<SignInResponse>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = SignInResponse.listFromJson(value);
       });
     }
     return map;
  }
}

