part of forestvpn_auth_api.api;

class SignInVerifyRequest {
  
  String code = null;
  SignInVerifyRequest();

  @override
  String toString() {
    return 'SignInVerifyRequest[code=$code, ]';
  }

  SignInVerifyRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (code != null)
      json['code'] = code;
    return json;
  }

  static List<SignInVerifyRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<SignInVerifyRequest>() : json.map((value) => SignInVerifyRequest.fromJson(value)).toList();
  }

  static Map<String, SignInVerifyRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, SignInVerifyRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = SignInVerifyRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of SignInVerifyRequest-objects as value to a dart map
  static Map<String, List<SignInVerifyRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<SignInVerifyRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = SignInVerifyRequest.listFromJson(value);
       });
     }
     return map;
  }
}

