part of forestvpn_auth_api.api;

class SignUpRequest {
  
  String email = null;
  
  bool acceptTerms = null;
  SignUpRequest();

  @override
  String toString() {
    return 'SignUpRequest[email=$email, acceptTerms=$acceptTerms, ]';
  }

  SignUpRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    email = json['email'];
    acceptTerms = json['accept_terms'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (email != null)
      json['email'] = email;
    if (acceptTerms != null)
      json['accept_terms'] = acceptTerms;
    return json;
  }

  static List<SignUpRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<SignUpRequest>() : json.map((value) => SignUpRequest.fromJson(value)).toList();
  }

  static Map<String, SignUpRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, SignUpRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = SignUpRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of SignUpRequest-objects as value to a dart map
  static Map<String, List<SignUpRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<SignUpRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = SignUpRequest.listFromJson(value);
       });
     }
     return map;
  }
}

