part of forestvpn_auth_api.api;

class TokenRequest {
  
  String refreshToken = null;
  TokenRequest();

  @override
  String toString() {
    return 'TokenRequest[refreshToken=$refreshToken, ]';
  }

  TokenRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    refreshToken = json['refresh_token'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (refreshToken != null)
      json['refresh_token'] = refreshToken;
    return json;
  }

  static List<TokenRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<TokenRequest>() : json.map((value) => TokenRequest.fromJson(value)).toList();
  }

  static Map<String, TokenRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, TokenRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = TokenRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of TokenRequest-objects as value to a dart map
  static Map<String, List<TokenRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<TokenRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = TokenRequest.listFromJson(value);
       });
     }
     return map;
  }
}

