part of forestvpn_auth_api.api;

class UserLoginRequest {
  
  String username = null;
  
  String password = null;
  UserLoginRequest();

  @override
  String toString() {
    return 'UserLoginRequest[username=$username, password=$password, ]';
  }

  UserLoginRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    username = json['username'];
    password = json['password'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (username != null)
      json['username'] = username;
    if (password != null)
      json['password'] = password;
    return json;
  }

  static List<UserLoginRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<UserLoginRequest>() : json.map((value) => UserLoginRequest.fromJson(value)).toList();
  }

  static Map<String, UserLoginRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, UserLoginRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = UserLoginRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of UserLoginRequest-objects as value to a dart map
  static Map<String, List<UserLoginRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<UserLoginRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = UserLoginRequest.listFromJson(value);
       });
     }
     return map;
  }
}

