part of forestvpn_auth_api.api;

class UserProfile {
  
  String email = null;
  
  String name = null;
  
  int firstNameLen = null;
  
  int authenticatedTill = null;
  UserProfile();

  @override
  String toString() {
    return 'UserProfile[email=$email, name=$name, firstNameLen=$firstNameLen, authenticatedTill=$authenticatedTill, ]';
  }

  UserProfile.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    email = json['email'];
    name = json['name'];
    firstNameLen = json['first_name_len'];
    authenticatedTill = json['authenticated_till'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (email != null)
      json['email'] = email;
    if (name != null)
      json['name'] = name;
    if (firstNameLen != null)
      json['first_name_len'] = firstNameLen;
    if (authenticatedTill != null)
      json['authenticated_till'] = authenticatedTill;
    return json;
  }

  static List<UserProfile> listFromJson(List<dynamic> json) {
    return json == null ? List<UserProfile>() : json.map((value) => UserProfile.fromJson(value)).toList();
  }

  static Map<String, UserProfile> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, UserProfile>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = UserProfile.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of UserProfile-objects as value to a dart map
  static Map<String, List<UserProfile>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<UserProfile>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = UserProfile.listFromJson(value);
       });
     }
     return map;
  }
}

