part of forestvpn_auth_api.api;

class UserRegistrationRequest {
  
  String email = null;
  
  String password = null;
  
  String confirmPassword = null;
  
  bool acceptTerms = null;
  UserRegistrationRequest();

  @override
  String toString() {
    return 'UserRegistrationRequest[email=$email, password=$password, confirmPassword=$confirmPassword, acceptTerms=$acceptTerms, ]';
  }

  UserRegistrationRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    email = json['email'];
    password = json['password'];
    confirmPassword = json['confirm_password'];
    acceptTerms = json['accept_terms'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (email != null)
      json['email'] = email;
    if (password != null)
      json['password'] = password;
    if (confirmPassword != null)
      json['confirm_password'] = confirmPassword;
    if (acceptTerms != null)
      json['accept_terms'] = acceptTerms;
    return json;
  }

  static List<UserRegistrationRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<UserRegistrationRequest>() : json.map((value) => UserRegistrationRequest.fromJson(value)).toList();
  }

  static Map<String, UserRegistrationRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, UserRegistrationRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = UserRegistrationRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of UserRegistrationRequest-objects as value to a dart map
  static Map<String, List<UserRegistrationRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<UserRegistrationRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = UserRegistrationRequest.listFromJson(value);
       });
     }
     return map;
  }
}

