part of forestvpn_auth_api.api;

class UserRegistrationResponse {
  
  String sessionId = null;
  UserRegistrationResponse();

  @override
  String toString() {
    return 'UserRegistrationResponse[sessionId=$sessionId, ]';
  }

  UserRegistrationResponse.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    sessionId = json['session_id'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (sessionId != null)
      json['session_id'] = sessionId;
    return json;
  }

  static List<UserRegistrationResponse> listFromJson(List<dynamic> json) {
    return json == null ? List<UserRegistrationResponse>() : json.map((value) => UserRegistrationResponse.fromJson(value)).toList();
  }

  static Map<String, UserRegistrationResponse> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, UserRegistrationResponse>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = UserRegistrationResponse.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of UserRegistrationResponse-objects as value to a dart map
  static Map<String, List<UserRegistrationResponse>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<UserRegistrationResponse>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = UserRegistrationResponse.listFromJson(value);
       });
     }
     return map;
  }
}

