part of forestvpn_auth_api.api;

class SignInRequest {
  
  String username = null;
  SignInRequest();

  @override
  String toString() {
    return 'SignInRequest[username=$username, ]';
  }

  SignInRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    username = json['username'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (username != null)
      json['username'] = username;
    return json;
  }

  static List<SignInRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<SignInRequest>() : json.map((value) => SignInRequest.fromJson(value)).toList();
  }

  static Map<String, SignInRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, SignInRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = SignInRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of SignInRequest-objects as value to a dart map
  static Map<String, List<SignInRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<SignInRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = SignInRequest.listFromJson(value);
       });
     }
     return map;
  }
}

