part of forestvpn_auth_api.api;

class SignUpResponse {
  
  String sessionId = null;
  SignUpResponse();

  @override
  String toString() {
    return 'SignUpResponse[sessionId=$sessionId, ]';
  }

  SignUpResponse.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    sessionId = json['session_id'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (sessionId != null)
      json['session_id'] = sessionId;
    return json;
  }

  static List<SignUpResponse> listFromJson(List<dynamic> json) {
    return json == null ? List<SignUpResponse>() : json.map((value) => SignUpResponse.fromJson(value)).toList();
  }

  static Map<String, SignUpResponse> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, SignUpResponse>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = SignUpResponse.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of SignUpResponse-objects as value to a dart map
  static Map<String, List<SignUpResponse>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<SignUpResponse>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = SignUpResponse.listFromJson(value);
       });
     }
     return map;
  }
}

