part of forestvpn_auth_api.api;

class SignUpVerifyRequest {
  
  String code = null;
  SignUpVerifyRequest();

  @override
  String toString() {
    return 'SignUpVerifyRequest[code=$code, ]';
  }

  SignUpVerifyRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (code != null)
      json['code'] = code;
    return json;
  }

  static List<SignUpVerifyRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<SignUpVerifyRequest>() : json.map((value) => SignUpVerifyRequest.fromJson(value)).toList();
  }

  static Map<String, SignUpVerifyRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, SignUpVerifyRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = SignUpVerifyRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of SignUpVerifyRequest-objects as value to a dart map
  static Map<String, List<SignUpVerifyRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<SignUpVerifyRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = SignUpVerifyRequest.listFromJson(value);
       });
     }
     return map;
  }
}

