part of forestvpn_auth_api.api;

class UserRegistrationVerifyRequest {
  
  String code = null;
  UserRegistrationVerifyRequest();

  @override
  String toString() {
    return 'UserRegistrationVerifyRequest[code=$code, ]';
  }

  UserRegistrationVerifyRequest.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (code != null)
      json['code'] = code;
    return json;
  }

  static List<UserRegistrationVerifyRequest> listFromJson(List<dynamic> json) {
    return json == null ? List<UserRegistrationVerifyRequest>() : json.map((value) => UserRegistrationVerifyRequest.fromJson(value)).toList();
  }

  static Map<String, UserRegistrationVerifyRequest> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, UserRegistrationVerifyRequest>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = UserRegistrationVerifyRequest.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of UserRegistrationVerifyRequest-objects as value to a dart map
  static Map<String, List<UserRegistrationVerifyRequest>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<UserRegistrationVerifyRequest>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = UserRegistrationVerifyRequest.listFromJson(value);
       });
     }
     return map;
  }
}

